#!/bin/bash

###############################################################
#
#  Kill RHB instance if necessary
#
#

pkill RHB
pkill faster_file2rhb

###############################################################
#
#  Display data file content summary
#
#  see in the file : labels 11 and 12 are ELECTROMETER
#

echo "-------------------------------------------------------------------"

faster_disfast  electro_data_0001.fast -I

echo "-------------------------------------------------------------------"

###############################################################
#
#  Send data to RHB at 1kHz
#     => 0.001s delay
#     => processus in background (&)
#

faster_file2rhb  electro_data_0001.fast  0.0001 &


###############################################################
#
#  Launch RHB visu
#
#  see .RHBrc            ->  RHB default behaviours
#      ELECTRO.pid       ->  faster data declaration
#      ELECTRO.facqConf  ->  histograms declaration
#      ELECTRO.rhvConf   ->  visualisation configuration
#

RHB  -r 









###############################################################

pkill faster_file2rhb



